Solve LinkedIn Checkpoint
curl --request POST \
--url https://api.captaindata.co/v3/accounts/{account_uid}/checkpoint \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'x-project-id: <api-key>' \
--data '
{
"code": "123456"
}
'import requests
url = "https://api.captaindata.co/v3/accounts/{account_uid}/checkpoint"
payload = { "code": "123456" }
headers = {
"Authorization": "<api-key>",
"x-project-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: '<api-key>',
'x-project-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({code: '123456'})
};
fetch('https://api.captaindata.co/v3/accounts/{account_uid}/checkpoint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"setup_at": "2025-03-06T11:13:15.568488",
"name": "Guillaume Odier",
"cookies": {
"li_at": "********-....",
"li_rm": "********-....",
"JSESSIONID": "\"ajax:....\""
},
"via_extension": true,
"is_shared": false,
"level": "Sales Navigator",
"is_valid": true,
"meta": {
"name": "Guillaume Odier",
"id": 269760086,
"url": "https://www.linkedin.com/in/guillaumeodier",
"type": "SALES_NAV"
},
"uid": "xxxxxx-xxxx-4692-9d6d-e97ac1544308",
"application_permalink": "linkedin",
"application_name": "LinkedIn"
}LinkedIn
Solve LinkedIn Checkpoint
POST
/
v3
/
accounts
/
{account_uid}
/
checkpoint
Solve LinkedIn Checkpoint
Authorizations
The Authorization header must include 'x-api-key' followed by your API key (e.g., 'Authorization: x-api-key YOUR_API_KEY').
Workspace UID required to identify the workspace.
Path Parameters
Body
application/json
The code to provide to solve the checkpoint.
Example:
"123456"
Response
200 - application/json
Checkpoint Solved
⌘I